## javax.xml.stream
Interface XMLStreamReader

All Superinterfaces:
  XMLStreamConstants

All Known Implementing Classes:
  StreamReaderDelegate

    public interface XMLStreamReader

extends XMLStreamConstants

Field Summary

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Method Summary
`void` `close()`
`int` `getAttributeCount()`
`java.lang.String` `getAttributeLocalName(int index)`
`QName` `getAttributeName(int index)`
`java.lang.String` `getAttributeNamespace(int index)`
`java.lang.String` `getAttributePrefix(int index)`
`java.lang.String` `getAttributeType(int index)`
`java.lang.String` `getAttributeValue(int index)`
`java.lang.String` `getAttributeValue(java.lang.String namespaceURI, java.lang.String localName)`
`java.lang.String` `getCharacterEncodingScheme()`
`java.lang.String` `getElementText()`
`java.lang.String` `getEncoding()`
`int` `getEventType()`
`java.lang.String` `getLocalName()`
`Location` `getLocation()`
`QName` `getName()`
`NamespaceContext` `getNamespaceContext()`
`int` `getNamespaceCount()`
`java.lang.String` `getNamespacePrefix(int index)`
`java.lang.String` `getNamespaceURI()`
`java.lang.String` `getNamespaceURI(int index)`
`java.lang.String` `getNamespaceURI(java.lang.String prefix)`
`java.lang.String` `getPIData()`
`java.lang.String` `getPITarget()`
`java.lang.String` `getPrefix()`
`java.lang.Object` `getProperty(java.lang.String name)`
`java.lang.String` `getText()`
`char[]` `getTextCharacters()`
`int` `getTextCharacters(int sourceStart, char[] target, int targetStart, int length)`
`int` `getTextLength()`
`int` `getTextStart()`
`java.lang.String` `getVersion()`
`boolean` `hasName()`
`boolean` `hasNext()`
`boolean` `hasText()`
`boolean` `isAttributeSpecified(int index)`
`boolean` `isCharacters()`
`boolean` `isEndElement()`
`boolean` `isStandalone()`
`boolean` `isStartElement()`
`boolean` `isWhiteSpace()`
`int` `next()`
`int` `nextTag()`
`void` `require(int type, java.lang.String namespaceURI, java.lang.String localName)`
`boolean` `standaloneSet()`

Method Detail

### close

    void close()
               throws XMLStreamException

  Throws:
    `XMLStreamException`

### getAttributeCount

    int getAttributeCount()

### getAttributeLocalName

    java.lang.String getAttributeLocalName(int index)

### getAttributeName

    QName getAttributeName(int index)

### getAttributeNamespace

    java.lang.String getAttributeNamespace(int index)

### getAttributePrefix

    java.lang.String getAttributePrefix(int index)

### getAttributeType

    java.lang.String getAttributeType(int index)

### getAttributeValue

    java.lang.String getAttributeValue(int index)

### getAttributeValue

    java.lang.String getAttributeValue(java.lang.String namespaceURI,
                                       java.lang.String localName)

### getCharacterEncodingScheme

    java.lang.String getCharacterEncodingScheme()

### getElementText

    java.lang.String getElementText()
                                    throws XMLStreamException

  Throws:
    `XMLStreamException`

### getEncoding

    java.lang.String getEncoding()

### getEventType

    int getEventType()

### getLocalName

    java.lang.String getLocalName()

### getLocation

    Location getLocation()

### getName

    QName getName()

### getNamespaceContext

    NamespaceContext getNamespaceContext()

### getNamespaceCount

    int getNamespaceCount()

### getNamespacePrefix

    java.lang.String getNamespacePrefix(int index)

### getNamespaceURI

    java.lang.String getNamespaceURI()

### getNamespaceURI

    java.lang.String getNamespaceURI(int index)

### getNamespaceURI

    java.lang.String getNamespaceURI(java.lang.String prefix)

### getPIData

    java.lang.String getPIData()

### getPITarget

    java.lang.String getPITarget()

### getPrefix

    java.lang.String getPrefix()

### getProperty

    java.lang.Object getProperty(java.lang.String name)
                                 throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getText

    java.lang.String getText()

### getTextCharacters

    char[] getTextCharacters()

### getTextCharacters

    int getTextCharacters(int sourceStart,
                          char[] target,
                          int targetStart,
                          int length)
                          throws XMLStreamException

  Throws:
    `XMLStreamException`

### getTextLength

    int getTextLength()

### getTextStart

    int getTextStart()

### getVersion

    java.lang.String getVersion()

### hasName

    boolean hasName()

### hasNext

    boolean hasNext()
                    throws XMLStreamException

  Throws:
    `XMLStreamException`

### hasText

    boolean hasText()

### isAttributeSpecified

    boolean isAttributeSpecified(int index)

### isCharacters

    boolean isCharacters()

### isEndElement

    boolean isEndElement()

### isStandalone

    boolean isStandalone()

### isStartElement

    boolean isStartElement()

### isWhiteSpace

    boolean isWhiteSpace()

### next

    int next()
             throws XMLStreamException

  Throws:
    `XMLStreamException`

### nextTag

    int nextTag()
                throws XMLStreamException

  Throws:
    `XMLStreamException`

### require

    void require(int type,
                 java.lang.String namespaceURI,
                 java.lang.String localName)
                 throws XMLStreamException

  Throws:
    `XMLStreamException`

### standaloneSet

    boolean standaloneSet()

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.